HALCON: 系统要求

HALCON 24.05 Progress 的系统要求

Windows x64

  • 架构:64位
  • 处理器:英特尔 64 或 AMD 64 SSE2 (AVX2 dispatch)
  • 支持的操作系统版本:Windows 10(x64 版本)、11、Windows Server 2016、2019、2022
  • 编译器:Visual Studio 2013
  • 特殊要求:

Linux x86_64

  • 架构:64位
  • 处理器:英特尔 64 或 AMD 64 SSE2 (AVX2 dispatch)
  • 支持的操作系统版本:Linux x86_64
  • 编译器:gcc 7.5
  • 特殊要求:

Linux Aarch64

  • 架构:64位
  • 处理器:支持 AArch64 的 Armv8-A
  • 支持的操作系统版本:Linux aarch64
  • 编译器:gcc 7.5
  • 特殊要求:支持 hidraw 的内核

Linux ArmV7-A

  • 架构:32 位
  • 处理器:支持 NEON 的 Armv7-A
  • 支持的操作系统版本:Linux armv7a
  • 编译器:gcc 7.5
  • 特殊要求:支持 hidraw 的内核,硬浮动点 ABI

HALCON 22.11 Steady 的系统要求

Windows x64

  • 架构:64位
  • 处理器:英特尔 64 或 AMD 64 SSE2 (AVX2 dispatch)
  • 支持的操作系统版本:Windows 8.1、10(x64 版本)、11、Windows Server 2012 R2、2016、2019、2022
  • 编译器:Visual Studio 2005
  • 特殊要求:

Linux x86_64

  • 架构:64位
  • 处理器:英特尔 64 或 AMD 64 SSE2 (AVX2 dispatch)
  • 支持的操作系统版本:Linux x86_64
  • 编译器:gcc 5.5
  • 特殊要求:

Linux AArch64

  • 架构:64位
  • 处理器:支持 AArch64 的 Armv8-A
  • 支持的操作系统版本:Linux aarch64
  • 编译器:gcc 5.5
  • 特殊要求:支持 hidraw 的内核

Linux Armv7-A

  • 架构:32 位
  • 处理器:支持 NEON 的 Armv7-A
  • 支持的操作系统版本:Linux armv7a
  • 编译器:gcc 5.5
  • 特殊要求:支持 hidraw 的内核,硬浮动点 ABI

macOS

  • 架构:64位
  • 处理器:Intel  64 SSE2
  • 支持的操作系统版本:macOS 11、macOS 12
  • 编译器:XCode 10.0
  • 特殊要求: 无

深度学习的特别要求

请注意不同深度学习方法会有特定系统要求; 请参阅 HALCON ProgressHALCON Steady 的安装指南,了解详细信息。 训练和推理的要求也可能会有所不同。

HALCON 同样支持嵌入式平台

面向嵌入式视觉的 HALCON 详细介绍